roasOS
API referenceJobs

Get a job result

The result of a completed job. A job that is still running answers 409 run_not_completed.

GET
/v1/jobs/{id}/result

The result of a completed job. A job that is still running answers 409 run_not_completed.

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08/result"
{  "data": {    "url": "http://example.com",    "images": [      "http://example.com"    ],    "avatar_id": "ceaabbd8-6fdf-460c-878c-7d0ae67338c0",    "reference_sheet": "http://example.com",    "portrait_url": "http://example.com",    "full_body_url": "http://example.com",    "provider_seed": 0  }}